﻿.diagram * {
    box-sizing: border-box;
}

.diagram {
    padding: 120px 20px 50px;
    max-width: 670px; 
    margin-right: auto;
    margin-left: auto;
}

.diagram_table {
    display: table;
    width: 100%;
    border-collapse: collapse;
}

.diagram__item {
    position: relative;
    display: table-cell;
    vertical-align: middle;
    text-align: center;
}

.diagram .diagram__item:first-child, .diagram .diagram__item:last-child {
    width: 12px;
}

.diagram .diagram__item:nth-child(2), .diagram .diagram__item:nth-child(4) {
    width: 18%;
}

.diagram .diagram__item:nth-child(3) {
    width: 16px;
}

.diagram .diagram__item:nth-child(8) {
    width: 8%;
}

.diagram .diagram__item:nth-child(9) {
    width: 24px;
}

.diagram .diagram__item:nth-child(10) {
    width: 12%;
}

.diagram .diagram__item:nth-child(12) {
    width: 6%;
}

.diagram .diagram__item:nth-child(5), .diagram .diagram__item:nth-child(7), .diagram .diagram__item:nth-child(11) {
    width: 17px;
}

.diagram__g-line {
    display: block;
    height: 3px;
    background: #B3B3B3;
}

.diagram__circle {

    position: relative;
    left: auto !important;
    display: block;
    width: 17px;
    height: 17px;
    background: #4D4D4D;
    border: solid 3px #F1F1F1;
    border-radius: 50%;
    z-index: 2;
}

.diagram .diagram__item:first-child .diagram__circle, .diagram .diagram__item:last-child .diagram__circle {
    width: 13px;
    height: 13px;
    background: #B3B3B3;
    border: 0 none;
}

.diagram .diagram__item:nth-child(9) .diagram__circle {
    width: 24px;
    height: 24px;
    background: #fff;
    border: solid 5px #00B336;
}

.diagram__circle-green {
    position: absolute;
    bottom: -16px !important;
    left: -16px;
    width: 56px;
    height: 56px;
    background: #00B336;
    border-radius: 50%;
    opacity: .5;
    z-index: 1;
}

.diagram__v-line {
    position: absolute;
    bottom: 16px;
    left: 7px;
    width: 3px;
    height: 30px;
    background: #4D4D4D;
    z-index: 3;
}

.diagram .diagram__item:nth-child(9) .diagram__v-line {
    bottom: 20px;
    left: 10px;
    height: 90px;
    background: #00B336;
}

.diagram__deg-lines-1, .diagram__deg-lines-2 {
    display: block;
    width: 3px;
    height: 16px;
    background: #B3B3B3;
    transform: rotate(30deg);
}

.diagram__deg-lines-1 {
    float: left;
}

.diagram__deg-lines-2 {
    float: right;
}

.diagram b {
    position: absolute;
    bottom: -20px;
    left: -10px;
    font-size: 16px;
    z-index: 3;
}

b.diagram__100_, b.diagram__100 {
    color: #B3B3B3;
    font-weight: 400;
}

b.diagram__73 {
    bottom: -50px;
    font-size: 22px;
    color: #00B336;
}

b.diagram__text {
    font-size: 16px;
    width: 120px;
    bottom: 52px;
    left: 50%;
    margin-left: -60px;
    line-height: 1.2;
}

.diagram .diagram__item:nth-child(9) b.diagram__text {
    bottom: 112px;
    font-size: 22px;
    color: #00B336;
}

@media only screen and (max-width: 540px) {
    .diagram .diagram__item:nth-child(2), .diagram .diagram__item:nth-child(4) {
        width: 12%;
    }

    .diagram .diagram__item:nth-child(8) {
        width: 12%;
    }
}

@media only screen and (max-width: 440px) {
    .diagram .diagram__item:nth-child(2), .diagram .diagram__item:nth-child(4) {
        width: 30px;
    }
}

@media only screen and (max-width: 412px) {
    .diagram .diagram__item:nth-child(2), .diagram .diagram__item:nth-child(4) {
        width: 25px;
    }

    .diagram b, b.diagram__text {
        font-size: 14px;
    }

    b.diagram__73 {
        font-size: 20px;
        bottom: -40px;
    }

    .diagram .diagram__item:nth-child(9) b.diagram__text {
        bottom: 110px;
        font-size: 20px;

    }

    .diagram__circle-green {
        bottom: -9px !important;
        left: -9px;
        width: 42px;
        height: 42px;
    }
}

@media only screen and (max-width: 360px) {
    .diagram .diagram__item:nth-child(2), .diagram .diagram__item:nth-child(4) {
        width: 20px;
    }

    .diagram .diagram__item:nth-child(8) {
        width: 8%;
    }

    .diagram .diagram__item:nth-child(10) {
        width: 7%;
    }
}

/*Animation*/

.hidden {
    opacity: 0;
}

.visible {
    opacity: 1;
}

.visible2 {
    opacity: .5;
}

.animated1 {
    -webkit-animation-duration: .8s;
    animation-duration: .8s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-animation-delay: .4s;
    animation-delay: .4s;
}

.animated2 {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-animation-delay: 1s;
    animation-delay: 1s;
}

@-webkit-keyframes zoomIn {
    0% {
        opacity: 0;
        -webkit-transform: scale3d(.3, .3, .3);
        transform: scale3d(.3, .3, .3);
    }

    50% {
        opacity: 1;
    }
}

@keyframes zoomIn {
    0% {
        opacity: 0;
        -webkit-transform: scale3d(.3, .3, .3);
        transform: scale3d(.3, .3, .3);
    }

    50% {
        opacity: 1;
    }
}

.zoomIn {
    -webkit-animation-name: zoomIn;
    animation-name: zoomIn;
}

@-webkit-keyframes fadeInDown {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }

    100% {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

@keyframes fadeInDown {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }

    100% {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

.fadeInDown {
    -webkit-animation-name: fadeInDown;
    animation-name: fadeInDown;
}

@-webkit-keyframes fadeInUp {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0, 100%, 0);
        transform: translate3d(0, 100%, 0);
    }

    100% {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

@keyframes fadeInUp {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0, 100%, 0);
        transform: translate3d(0, 100%, 0);
    }

    100% {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

.fadeInUp {
    -webkit-animation-name: fadeInUp;
    animation-name: fadeInUp;
}

@-webkit-keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.fadeIn {
    -webkit-animation-name: fadeIn;
    animation-name: fadeIn;
}